set ::bgexecpath [file normalize $dir]
package ifneeded bgexec 2.4 {
    if { $tcl_platform(platform) == "windows" }  {
	set fullpath [file join $::bgexecpath win32 bgexec.dll]
    } elseif { $tcl_platform(os) == "Linux" }  {
	set fullpath [file join $::bgexecpath linux bgexec.so]
    } else {
	set fullpath [file join $::bgexecpath solaris bgexec.so]
    }

    load $fullpath
    package provide bgexec 2.4
}
